none
Compact Framework RRS feed

  • Question

  • What is the latest version of VS to program with CF? I have software for WCE4 and WCE5, WM and PPC. The source is the solution of VS2008, but would like to upgrade. Which version? How to proceed?

    TFS erro

    Saturday, February 8, 2014 7:15 PM

Answers

  • Hello,

    The latest version of CF is 3.9 that runs on Windows Embedded Compact 2013 and you can develop using VS2012.

    Before this version there is CF 3.5 for Windows Embedded Compact 7 and with VS2008.

    In my experience I upgraded an application from CF 2.0 to CF 3.5 without compatibility problems and the same could be to CF 3.9.

    Paolo


    Paolo Patierno

    Saturday, February 8, 2014 9:49 PM
  • Just a note that you need to consider what your device supports for the CF as well, not just what the latest version is.  I mention this because you mentioned Windows CE 4 and Windows CE 5 (I am assuming you actually mean Windows CE 4 and not Windows CE 4.2.)  I do not know if CF 3.5 is an option on those versions of the OS.

    If you don't control the device you need to determine what version of CF is already installed or come up with a plan to install the CF on the device after the fact if it does not have an appropriate (or any) version already installed.

    Based on the date that the OS was built you don't necessarily have any guarantee which CF version is on the device unless you are the device OEM.  In addition to that the device OEM may choose to not install the CF on their platform.

    Depending on when an OS Image was built for your device it may have different versions of the CF installed as well.  For example with Windows CE 6.0 the latest version you could build into your OS was either CF 2.0 or CF 3.5 depending on what updates were applied (CF 3.5 was added later in the lifecycle.)

    Friday, February 21, 2014 4:49 PM

All replies

  • Hello,

    The latest version of CF is 3.9 that runs on Windows Embedded Compact 2013 and you can develop using VS2012.

    Before this version there is CF 3.5 for Windows Embedded Compact 7 and with VS2008.

    In my experience I upgraded an application from CF 2.0 to CF 3.5 without compatibility problems and the same could be to CF 3.9.

    Paolo


    Paolo Patierno

    Saturday, February 8, 2014 9:49 PM
  • And where do I download the installation on the mobile device?

    TFS erro

    Friday, February 21, 2014 2:45 PM
  • Just a note that you need to consider what your device supports for the CF as well, not just what the latest version is.  I mention this because you mentioned Windows CE 4 and Windows CE 5 (I am assuming you actually mean Windows CE 4 and not Windows CE 4.2.)  I do not know if CF 3.5 is an option on those versions of the OS.

    If you don't control the device you need to determine what version of CF is already installed or come up with a plan to install the CF on the device after the fact if it does not have an appropriate (or any) version already installed.

    Based on the date that the OS was built you don't necessarily have any guarantee which CF version is on the device unless you are the device OEM.  In addition to that the device OEM may choose to not install the CF on their platform.

    Depending on when an OS Image was built for your device it may have different versions of the CF installed as well.  For example with Windows CE 6.0 the latest version you could build into your OS was either CF 2.0 or CF 3.5 depending on what updates were applied (CF 3.5 was added later in the lifecycle.)

    Friday, February 21, 2014 4:49 PM